Re: [Evolution] gtkhtml error in configuring 2.0.x source

THanks for the tip, JP :)

I'm getting the following error, now:

make[3]: Entering directory
/bin/sh ../../libtool --tag=CC --mode=link gcc  -g -O2 -Wall
-Wmissing-prototypes  -Wno-sign-compare   -o
-rpath /opt/evo//lib -version-info 5:0:0 e-gw-connection.lo
e-gw-container.lo e-gw-item.lo e-gw-sendoptions.lo e-gw-message.lo
e-gw-filter.lo -pthread -Wl,--export-dynamic -L/usr/lib/mozilla-1.7.5
-lxml2 -lz -lgnome-2 -lpopt -lbonobo-2 -lgconf-2 -lgnomevfs-2
-lbonobo-activation -lORBit-2 -lgobject-2.0 -lm -lgmodule-2.0
-lgthread-2.0 -lglib-2.0 -lplds4 -lplc4 -lnspr4 -lpthread -ldl  
-lpthread  -L/usr/local/lib -lsoup-2.2 -lxml2 -lpthread -lz -lm
grep: /usr/lib/ No such file or directory
/usr/bin/sed: can't read /usr/lib/ No such file or directory
libtool: link: `/usr/lib/' is not a valid libtool archive
make[3]: *** [] Error 1
make[3]: Leaving directory
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/kalek/apps/evolution/evolution-data-server'
make: *** [all] Error 2

I checked it out, and I am indeed missing, but I haven't
been able to find any packages that match the name. I found and
compiled/installed gnutls10-1.0.4 with no issue, but that didn't
change anything. What did I miss?

Thanks for the answer in advance,

a very frustrated nate.

On Sun, 13 Mar 2005 00:30:38 -0500, JP Rosevear <jpr novell com> wrote:
On Thu, 2005-03-10 at 12:13 -0700, Nathanael Phillips wrote:
I have installed all of the required packages, but ./configure dumps
back the following error concerning gtkhtml:

checking for libgtkhtml-3.1... Package libgtkhtml-3.1 was not found in
the pkg-config search path.
Perhaps you should add the directory containing `libgtkhtml-3.1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgtkhtml-3.1' found

configure: error: Library requirements (libgtkhtml-3.1) not met;
consider adjusting the PKG_CONFIG_PATH environment variable if your
libraries are in a nonstandard prefix so pkg-config can find them.

I installed gtkhtml 3.2.5 with the default options, so I'm not
completely sure why Evolution isn't liking it. I'm still somewhat new
to Linux, but I know my way around, well enough.

Thanks for the help, in advance,

might be helpful

JP Rosevear <jpr novell com>
Novell, Inc.

~~Nathanael Phillips
njphillips gmail com

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]